/* purgecss start ignore */
/**************************\
  Basic Modal Stylesfffffffffff
\**************************/

.modal {
    font-family: -apple-system,BlinkMacSystemFont,avenir next,avenir,helvetica neue,helvetica,ubuntu,roboto,noto,segoe ui,arial,sans-serif;
  }
  
  .modal__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0,0,0,0.6);
    display: flex;
    justify-content: center;
    align-items: flex-start;
  }
  .modal__containerwrap{
    width: 100%;
  }
  .modal__container {
    background-color: #fff;
    padding: 30px;
    max-width: 1360px;
    max-height: 100vh;
    border-radius: 4px;
    /* overflow-y: auto; */
    margin:0 auto;
    box-sizing: border-box;
  }
  
  .modal__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .modal__title {
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.25;
    color: #00449e;
    box-sizing: border-box;
  }
  
  .modal__close {
    background: transparent;
    border: 0;
  }
  
  .modal__header .modal__close:before { content: "\2715"; }
  
  .modal__content {
   
    margin-bottom: 2rem;
    line-height: 1.5;
    color: rgba(0,0,0,.8);
  
  
  }
  
  .modal__btn {
    font-size: .875rem;
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: .5rem;
    padding-bottom: .5rem;
    background-color: #e6e6e6;
    color: rgba(0,0,0,.8);
    border-radius: .25rem;
    border-style: none;
    border-width: 0;
    cursor: pointer;
    -webkit-appearance: button;
    text-transform: none;
    overflow: visible;
    line-height: 1.15;
    margin: 0;
    will-change: transform;
    -moz-osx-font-smoothing: grayscale;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
    transition: -webkit-transform .25s ease-out;
    transition: transform .25s ease-out;
    transition: transform .25s ease-out,-webkit-transform .25s ease-out;
  }
  
  .modal__btn:focus, .modal__btn:hover {
    -webkit-transform: scale(1.05);
    transform: scale(1.05);
  }
  
  .modal__btn-primary {
    background-color: #00449e;
    color: #fff;
  }
  
  
  
  /**************************\
    Demo Animation Style
  \**************************/
  @keyframes mmfadeIn {
      from { opacity: 0; }
        to { opacity: 1; }
  }
  
  @keyframes mmfadeOut {
      from { opacity: 1; }
        to { opacity: 0; }
  }
  
  @keyframes mmslideIn {
    from { transform: translateX(15%); }
      to { transform: translateX(0); }
  }
  
  @keyframes mmslideOut {
      from { transform: translateX(0); }
      to { transform: translateX(15%); }
  }
  
  .micromodal-slide {
    display: none;
  }
  
  .micromodal-slide.is-open {
    display: block;
  }
  
  .micromodal-slide[aria-hidden="false"] .modal__overlay {
    animation: mmfadeIn .1s cubic-bezier(0.0, 0.0, 0.2, 1);
  }
  
  .micromodal-slide[aria-hidden="false"] .modal__containerwrap {
    animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1);
  }
  
  .micromodal-slide[aria-hidden="true"] .modal__overlay {
    animation: mmfadeOut .1s cubic-bezier(0.0, 0.0, 0.2, 1);
  }
  
  .micromodal-slide[aria-hidden="true"] .modal__containerwrap {
    animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1);
  }
  
  .micromodal-slide .modal__containerwrap,
  .micromodal-slide .modal__overlay {
    will-change: transform;
  }
  
  
  .micromodal-is-locked{
    overflow: hidden;
  }
  
  .modal {
    
    z-index: 99;
    position: fixed;
  
   
  }
  
  .modal__overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  
    background-color: #FFF;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  
    overflow: auto;
  
  
  
  
   
  }
  @media screen and (min-width: 768px) {
    .modal__overlay {
      overflow-x: hidden;
    }
  }
  .btntoso{
    background: #A400E8;
    color:#FFF;
    text-align: center;
    padding:10px 0;
    border-radius: 10px;;
    cursor: pointer;
    margin-top: 40px;;
  }
  
  .btntoso--design{
    margin-top: 0px;;
  }
  
  .modal__ttl{
    text-align: center;
    font-weight: bold;
    font-size: 20px;;
    padding: 20px 0;;
    position: relative;
    width:100%;
    margin-bottom: 20px;;
  
  }
  .modal__ttl:before{
    content:'';
    position: absolute;
    bottom: 0;
    left:0;
    width:100%;
    height: 2px;
    background: #000;
    margin: 0;
  }
  
  
  .modal__ttl__inner{
    max-width: 1360px;;
    margin:0 auto;
    position: relative;
    padding: 0 30px;
  }
  
  .modal__container {
  
    width: 100%;
  
    box-sizing: border-box;
   
  }
  .modal__list{
    padding:50px 0 100px;
    /* display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr)); */
    gap: 52px;
    display: flex;
    flex-wrap: wrap;
    
  }
  .modal__list--design .img{
    background: #FFF;
  }
  .modal__list--design  img{
    aspect-ratio:  1 / 1;
    object-fit: contain;
  }
  @media screen and (max-width: 767px) {
    .modal__list{
     gap:40px 20px;
     justify-content: space-between;
    }
  }
  .modal__list > div{
    font-weight: bold;
    font-size:20px;
    max-width: 300px;
    width:22%;
  }
  
  @media screen and (max-width: 767px) {
    .modal__list > div{
      width:46%;
    }
  }
  
  
  .modal__list > div div{
    width: fit-content;
    margin:0 auto;
  }
  .modal__list .img{
    filter: drop-shadow(0px 0px 10px rgba(0, 0, 0, 0.25));
    transform: translateZ(0);
    border-radius: 30px;
    overflow: hidden;
    margin-bottom: 10px;;
    cursor: pointer;
    transition: all .3s cubic-bezier(0.075, 0.82, 0.165, 1);
  }
  
  @media screen and (max-width: 767px) {
    .modal__list .img{
      border-radius: 10px;
    }
  }

  .modal__list_category_title {
    width: 100%;
    font-size: 20px;
    font-weight: bold;
  }
  
  .modal__list .img:hover{
    opacity: .8;
  }
  .modal__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .modal__title {
    margin-top: 0;
    margin-bottom: 0;
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.25;
    color: #00449e;
    box-sizing: border-box;
  }
  
  .modal__close {
    background: transparent;
    border: 0;
    position: absolute;
    left:20px;
    top:0;
  }
  .modal__close:focus{
    outline: none;
  }
  .modal__close:before{
    content: '';
    width: 12px;
    height: 12px;
    border-top: solid 2px #000;
    border-right: solid 2px #000;
    position: absolute;
    left: 5px;
    top: 5px;
    transform: rotate(-135deg);
    left: 7px;
  }
  .js-fixed-bottom-elm.hide{
    display: none !important;
  }
  
  #gmenu-detail .modal__overlay,
  #gmenuDesign-detail .modal__overlay{
    background: rgb(0 0 0 / 0.8);
    align-items: center;
  }
  
  #gmenu-detail .modal__container,
  #gmenuDesign-detail .modal__container{
    max-width: 670px;
    background: none;
    padding:0;
  }
  
  #gmenu-detail .modal__content,
  #gmenuDesign-detail .modal__content{
    color:#FFF;
  }
  #gmenu-detail .swiper-slide,
  #gmenuDesign-detail .swiper-slide{
    padding:0 70px;
  }
  #gmenu-detail .swiper-slide div div,
  #gmenuDesign-detail .swiper-slide div div{
    width: fit-content;
    margin: 20px  auto;
   
    
  }
  #gmenu-detail .img,
  #gmenuDesign-detail .img{
    overflow: hidden;
    border-radius: 20px;
    margin-bottom: 20px;
    background-color: #FFF;
    aspect-ratio: 1 / 1;
    vertical-align: middle;
    display: flex;
    align-items: center;
  }
  .p-simulator-option-field2 .template img{
    aspect-ratio: 1 / 1;
    object-fit: contain;
    
  }
  .p-simulator-filter-checkbox-wrap > .p-simulator-filter-checkbox {
    width: 12%;
  }
  
  @media screen and (max-width: 767px) {
    #gmenu-detail .modal__container{
      padding: 30px 0;
    }
    .p-simulator-option-field2 > .p-form__label-radio{
      order:2;
      margin-top: 20px;;
    }
    #gmenu-detail .img,
    #gmenuDesign-detail .img{
  
      border-radius: 15px;
    }
  
    .p-simulator-filter-checkbox-wrap > .p-simulator-filter-checkbox {
      width: 48%;
    }
    
    
  }
  
  
  
  .modal__confirm,
  .modal__confirm-design{
    width: calc(100% - 130px);
    margin:20px auto;
    padding:20px 0;
  }
  .closes{
    display: block;
    position: relative;
    width: 40px;
    height: 40px;
    margin-left: auto;
    margin-right: 60px;;
    cursor: pointer;
  }
     
    .closes::before, .closes::after { /* 共通設定 */
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      width: 4px; /* 棒の幅（太さ） */
      height: 40px; /* 棒の高さ */
      background: #FFF;
    }
     
    .closes::before {
      transform: translate(-50%,-50%) rotate(45deg);
    }
     
    .closes::after {
      transform: translate(-50%,-50%) rotate(-45deg);
    }
  
  :root{
    --swiper-navigation-color:#FFF;
    --swiper-navigation-size: 44px;
  }
  
  .inputhidden{
    display: none;
  }
  
  
  .swiper-button-next, .swiper-button-prev {
    display: flex;
    z-index: 10;
    position: absolute;
    top: var(--swiper-navigation-top-offset, 50%);
    align-items: center;
    justify-content: center;
    width: calc(var(--swiper-navigation-size) / 44* 27);
    height: var(--swiper-navigation-size);
    margin-top: calc(0px -(var(--swiper-navigation-size) / 2));
    color: var(--swiper-navigation-color, var(--swiper-theme-color));
    cursor: pointer;
    
  }
  .swiper-button-next:after, .swiper-button-prev:after {
    font-variant: initial;
    font-size: var(--swiper-navigation-size);
    line-height: 1;
    font-family: swiper-icons;
    letter-spacing: 0;
    text-transform: none !important;
  }
  
  .swiper-button-prev {
    right: auto;
    left: var(--swiper-navigation-sides-offset, 10px);
  
  }
  .swiper-button-prev:focus{
    outline: none;
  }
  .swiper-button-next {
    right: var(--swiper-navigation-sides-offset, 10px);
    left: auto;
  }
  .swiper-button-next:focus{
    outline: none;
  }
  .swiper-button-next:after {
    content: 'next';
  }
  .swiper-button-prev:after {
    content: 'prev';
  }
  /* purgecss end ignore */
  
  
  
  